LibreOffice: Graphic Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
Graphic Service Referencepublished

This service acts as a container for graphics. More...

Inheritance diagram for Graphic:

## Included Services
service | ::com::sun::star::graphic::GraphicDescriptor
| [optional] interface com::sun::star::graphic::XGraphicTransformer;

## Exported Interfaces
interface | ::com::sun::star::graphic::XGraphic
Exported Interfaces inherited from GraphicDescriptor
interface | ::com::sun::star::beans::XPropertySet
| The property interface by which the properties of all supported services are exchanged.

## Additional Inherited Members
Public Member Functions inherited from XGraphic
byte | getType ()
| Get the type of the contained graphic.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Attributes inherited from GraphicDescriptor
byte | GraphicType
| The type of the graphic.
string | MimeType
| The MimeType of the loaded graphic.
::com::sun::star::awt::Size | SizePixel
| The Size of the graphic in pixel.
::com::sun::star::awt::Size | Size100thMM
| The Size of the graphic in 100th mm.
byte | BitsPerPixel
| The number of bits per pixel used for the pixel graphic.
boolean | Transparent
| Indicates that it is a transparent graphic.
boolean | Alpha
| Indicates that it is a pixel graphic with an alpha channel.
boolean | Animated
| Indicates that it is a graphic that consists of several frames that can be played as an animation.
boolean | Linked
| Indicates that the graphic is an external linked graphic.
string | OriginURL
| The URL of the location from where the graphic was loaded from.

## Detailed Description

This service acts as a container for graphics.

The main interface that has to be implemented for this service is the XGraphic interface, which itself exposes only a few methods. Beside this, a Graphic service incorporates the GraphicDescriptor to give access to the attributes of the graphic.

See also
  XGraphic
  XGraphicTransformer
  GraphicDescriptor

## Exported Interfaces

## ◆ ::com::sun::star::graphic::GraphicDescriptor

service ::com::sun::star::graphic::GraphicDescriptor

[optional] interface com::sun::star::graphic::XGraphicTransformer;

## Exported Interfaces

## ◆ ::com::sun::star::graphic::XGraphic

interface ::com::sun::star::graphic::XGraphic

The documentation for this service was generated from the following file:

- com/sun/star/graphic/Graphic.idl